#!/bin/sh
# Created by Ginlemon

mese=`date +%m`
settimana=`date +%w`
giorno=`date +%d`
ore=`date +%H`
hour=`echo "24-$ore" | bc`
rosso=`echo "obase=F; ($giorno*$hour)/3" | bc`
verde=`echo "obase=F; ($mese/2 + $mese/3)*$hour" | bc`
blu=`echo "obase=F; $settimana*$hour+($settimana*$hour/2)" | bc`
red=`echo "obase=F; ($giorno*$hour)/5" | bc`
green=`echo "obase=F; ($mese/2)*$hour " | bc`
blue=`echo "obase=F; $settimana*$hour " | bc`

if [ `expr length $verde` != 2 ]
then
verde=`echo "obase=F;ibase=F; $verde+10" | bc`
fi
if [ `expr length $rosso` != 2 ]
then
rosso=`echo "obase=F;ibase=F; $rosso+10" | bc`
fi
if [ `expr length $blu` != 2 ]
then
blu=`echo "obase=F;ibase=F; $blu+10" | bc`
fi

if [ `expr length $green` != 2 ]
then
green=`echo "obase=F;ibase=F; $green+10" | bc`
fi
if [ `expr length $red` != 2 ]
then
red=`echo "obase=F;ibase=F; $red+10" | bc`
fi
if [ `expr length $blue` != 2 ]
then
blue=`echo "obase=F;ibase=F; $blue+10" | bc`
fi

gconftool-2 --type string --set /desktop/gnome/background/primary_color "#$rosso$verde$blu"
gconftool-2 --type string --set /desktop/gnome/background/secondary_color "#$red$green$blue"
sleep 600
./colortime.sh

